/****************************************************************************
** Form interface generated from reading ui file '/home/tluebke/kwlan/src/kwlan.ui'
**
** Created: Mo Mai 22 20:50:39 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.6   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef KWLAN_H
#define KWLAN_H

#include <qvariant.h>
#include <qpixmap.h>
#include <qmainwindow.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QAction;
class QActionGroup;
class QToolBar;
class QPopupMenu;
class QGroupBox;
class QListBox;
class QListBoxItem;
class QPushButton;
class QLabel;

class Kwlan : public QMainWindow
{
    Q_OBJECT

public:
    Kwlan( QWidget* parent = 0, const char* name = 0, WFlags fl = WType_TopLevel );
    ~Kwlan();

    QGroupBox* gbProfile;
    QListBox* lbProfiles;
    QPushButton* pbActivate;
    QPushButton* pbNew;
    QPushButton* pbModify;
    QPushButton* pbDelete;
    QPushButton* pbScan;
    QLabel* txtInterfaceLabel;
    QLabel* txtSSIDLabel;
    QLabel* txtBSSIDLabel;
    QLabel* txtEncryptionLabel;
    QLabel* txtAuthenticationLabel;
    QLabel* txtIPAddressLabel;
    QLabel* txtStatusLabel;
    QLabel* txtInterface;
    QLabel* txtSSID;
    QLabel* txtBSSID;
    QLabel* txtEncryption;
    QLabel* txtAuthentication;
    QLabel* txtIPAddress;
    QLabel* txtStatus;
    QMenuBar *menubar;
    QPopupMenu *fileMenu;
    QPopupMenu *editMenu;
    QPopupMenu *Tools;
    QPopupMenu *helpMenu;
    QAction* fileExitAction;
    QAction* editUndoAction;
    QAction* editRedoAction;
    QAction* editCutAction;
    QAction* editCopyAction___________________;
    QAction* editPasteAction;
    QAction* editFindAction;
    QAction* helpAboutAction;
    QAction* fileStartWpaAction;
    QAction* fileStopWpaAction;
    QAction* toolsLogAction;
    QAction* editSettingsAction;

public slots:
    virtual void fileExit();
    virtual void helpAbout();
    virtual void profileActivate();
    virtual void profileNew();
    virtual void profileModify();
    virtual void profileDelete();
    virtual void updateStatus();
    virtual void updateNetworks();
    virtual void checkConnection();
    virtual int ctrlRequest(const char *command, char *bur, size_t *buflen);
    virtual int openControlConnection(const char *interfaceName);
    virtual void triggerUpdate();
    virtual void fileStartWpaSupplicant();
    virtual void getIpAddress();
    virtual void fileStopWpaSupplicant();
    virtual void scan();
    virtual void toolsLogViewer();
    virtual void processMessage(char *message);
    virtual void processCtrlReq( const char * request );
    virtual void receiveMsgs();
    virtual void releaseIpAddress();
    virtual void editSettings();
    virtual void cbInterfaceChanged(const QString & interface);

protected:
    QGridLayout* KwlanLayout;
    QVBoxLayout* layout10;
    QGridLayout* gbProfileLayout;
    QHBoxLayout* layout9;
    QVBoxLayout* layout8;
    QHBoxLayout* layout10_2;
    QSpacerItem* spacer2;
    QSpacerItem* spacer3;
    QVBoxLayout* layout8_2;
    QVBoxLayout* layout9_2;

protected slots:
    virtual void languageChange();

private:
    QPixmap image0;
    QPixmap image1;
    QPixmap image2;
    QPixmap image3;
    QPixmap image4;
    QPixmap image5;
    QPixmap image6;

};

#endif // KWLAN_H
